Debian Bug report logs - #612438
ffmpeg: libva-dev is linux-only

version graph

Package: libva; Maintainer for libva is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>;

Reported by: Julien Cristau <jcristau@debian.org>

Date: Tue, 8 Feb 2011 14:39:02 UTC

Severity: serious

Tags: sid, wheezy

Fixed in version 1.0.8-2

Done: Reinhard Tartler <siretart@tauware.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#612438; Package ffmpeg. (Tue, 08 Feb 2011 14:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
New Bug report received and forwarded. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Tue, 08 Feb 2011 14:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ffmpeg: libva-dev is linux-only
Date: Tue, 8 Feb 2011 15:35:18 +0100
[Message part 1 (text/plain, inline)]
Package: ffmpeg
Version: 4:0.6.1-4
Severity: serious
Justification: fails to build from source

The build-dependency on libva-dev prevents ffmpeg building on !linux
archs.  Please make it linux-only (or get libva to build on !linux, if
that makes more sense).

https://buildd.debian.org/status/package.php?p=ffmpeg

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#612438; Package ffmpeg. (Tue, 08 Feb 2011 19:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Tue, 08 Feb 2011 19:57:08 GMT) Full text and rfc822 format available.

Message #10 received at 612438@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: Reinhard Tartler <siretart@debian.org>, debian-bsd@lists.debian.org, 612438@bugs.debian.org, 612480@bugs.debian.org
Subject: Re: libva not building on kFreeBSD (Bug #612438)
Date: Tue, 8 Feb 2011 20:54:29 +0100
2011/2/8 Petr Salinger <Petr.Salinger@seznam.cz>:
>> Could some kFreeBSD fan please have a look at this:
>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=612438
>>
>> AFAIUI, the issue is that libva is unconditionally trying to build a v4l
>> module. It would require someone to hack up the build system to stop
>> doing so on kFreeBSD. Probably not that much work, but I'm too busy with
>> other stuff right now.
>
> Proposed patch is in #612480.

kFreeBSD 8.2 has v4l already, its header is in
sys/compat/linux/linux_videodev.h

Shouldn't we provide this header instead of disabling v4l?

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#612438; Package ffmpeg. (Tue, 08 Feb 2011 20:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Tue, 08 Feb 2011 20:00:06 GMT) Full text and rfc822 format available.

Message #15 received at 612438@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: Petr Salinger <Petr.Salinger@seznam.cz>, debian-bsd@lists.debian.org, 612438@bugs.debian.org, 612480@bugs.debian.org
Subject: Re: libva not building on kFreeBSD (Bug #612438)
Date: Tue, 08 Feb 2011 20:57:11 +0100
On Di, Feb 08, 2011 at 20:54:29 (CET), Robert Millan wrote:

> 2011/2/8 Petr Salinger <Petr.Salinger@seznam.cz>:
>>> Could some kFreeBSD fan please have a look at this:
>>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=612438
>>>
>>> AFAIUI, the issue is that libva is unconditionally trying to build a v4l
>>> module. It would require someone to hack up the build system to stop
>>> doing so on kFreeBSD. Probably not that much work, but I'm too busy with
>>> other stuff right now.
>>
>> Proposed patch is in #612480.

Thanks, uploaded.

>
> kFreeBSD 8.2 has v4l already, its header is in
> sys/compat/linux/linux_videodev.h
>
> Shouldn't we provide this header instead of disabling v4l?

D'oh, this came a few seconds too late.

Anyway, I guess if v4l works on kFreeBSD, the header is in place and the
package builds in kFreeBSD without Petr's patch, please let us know to
drop it, preferably as bugreport.

Thanks.

-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4




Information forwarded to debian-bugs-dist@lists.debian.org, Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#612438; Package ffmpeg. (Tue, 08 Feb 2011 20:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Tue, 08 Feb 2011 20:21:05 GMT) Full text and rfc822 format available.

Message #20 received at 612438@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: debian-bsd@lists.debian.org
Cc: 612438@bugs.debian.org, 612480@bugs.debian.org
Subject: Re: libva not building on kFreeBSD (Bug #612438)
Date: Tue, 8 Feb 2011 21:22:08 +0100 (CET)
> kFreeBSD 8.2 has v4l already, its header is in
> sys/compat/linux/linux_videodev.h
>
> Shouldn't we provide this header instead of disabling v4l?

It provides v4l interface, but libva needs v4l2 ...

Petr




Reply sent to Reinhard Tartler <siretart@tauware.de>:
You have taken responsibility. (Tue, 08 Feb 2011 21:06:03 GMT) Full text and rfc822 format available.

Notification sent to Julien Cristau <jcristau@debian.org>:
Bug acknowledged by developer. (Tue, 08 Feb 2011 21:06:03 GMT) Full text and rfc822 format available.

Message #25 received at 612438-close@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: 612438-close@bugs.debian.org
Subject: Bug#612438: fixed in libva 1.0.8-2
Date: Tue, 08 Feb 2011 21:03:01 +0000
Source: libva
Source-Version: 1.0.8-2

We believe that the bug you reported is fixed in the latest version of
libva, which is due to be installed in the Debian FTP archive:

i965-va-driver_1.0.8-2_i386.deb
  to main/libv/libva/i965-va-driver_1.0.8-2_i386.deb
libva-dev_1.0.8-2_all.deb
  to main/libv/libva/libva-dev_1.0.8-2_all.deb
libva-glx1_1.0.8-2_i386.deb
  to main/libv/libva/libva-glx1_1.0.8-2_i386.deb
libva-tpi1_1.0.8-2_i386.deb
  to main/libv/libva/libva-tpi1_1.0.8-2_i386.deb
libva-x11-1_1.0.8-2_i386.deb
  to main/libv/libva/libva-x11-1_1.0.8-2_i386.deb
libva1_1.0.8-2_i386.deb
  to main/libv/libva/libva1_1.0.8-2_i386.deb
libva_1.0.8-2.debian.tar.gz
  to main/libv/libva/libva_1.0.8-2.debian.tar.gz
libva_1.0.8-2.dsc
  to main/libv/libva/libva_1.0.8-2.dsc
vainfo_1.0.8-2_i386.deb
  to main/libv/libva/vainfo_1.0.8-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 612438@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Reinhard Tartler <siretart@tauware.de> (supplier of updated libva package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 08 Feb 2011 19:53:07 +0100
Source: libva
Binary: libva-dev libva1 libva-x11-1 libva-glx1 libva-tpi1 i965-va-driver vainfo
Architecture: source all i386
Version: 1.0.8-2
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Reinhard Tartler <siretart@tauware.de>
Description: 
 i965-va-driver - Video Acceleration (VA) API for Linux -- i965 VA driver
 libva-dev  - Video Acceleration (VA) API for Linux -- development files
 libva-glx1 - Video Acceleration (VA) API for Linux -- GLX runtime
 libva-tpi1 - Video Acceleration (VA) API for Linux -- TPI runtime
 libva-x11-1 - Video Acceleration (VA) API for Linux -- X11 runtime
 libva1     - Video Acceleration (VA) API for Linux -- runtime
 vainfo     - Video Acceleration (VA) API for Linux -- info program
Closes: 612438 612480
Changes: 
 libva (1.0.8-2) unstable; urgency=low
 .
   [ Petr Salinger ]
   * Fix FTBFS on kFreeBSD, Closes: #612480, #612438
 .
   [ Reinhard Tartler ]
   * upload to unstable.
   * Ease building with Source Format 3.0 (quilt).
Checksums-Sha1: 
 0968703f67c77aa30395c806595450ec5201d002 1524 libva_1.0.8-2.dsc
 a3f44f7d0dba1d6d735fc20861d1ff4336f9d94e 7737 libva_1.0.8-2.debian.tar.gz
 1996dfcc61b7198a22aacd16208883ec3c48e827 30980 libva-dev_1.0.8-2_all.deb
 830cc0674605293b9020b4151454cb1142630c80 34358 libva1_1.0.8-2_i386.deb
 bb3172db0ca5e576766293ad4d662871a1fa811c 14822 libva-x11-1_1.0.8-2_i386.deb
 c0eafdc32fb039cbff6b64ef7188353f1efd5042 11644 libva-glx1_1.0.8-2_i386.deb
 af7a2b16986deffceff8266c3c027daadb65353f 6166 libva-tpi1_1.0.8-2_i386.deb
 5f2f5ca6f8b8f71b5a8dd4e115036a679205d14d 109398 i965-va-driver_1.0.8-2_i386.deb
 50f4d451285e998c333995eabe9f1c7ae3a14587 7066 vainfo_1.0.8-2_i386.deb
Checksums-Sha256: 
 d04087a4482dd42f1dce8bfe0338c5322177ccf3e91f89c6d08e240d6f5571ed 1524 libva_1.0.8-2.dsc
 d6de0ff9353a87fd6ed454fbe4cac634768eca8206b0bbfe92c553f53b0c0918 7737 libva_1.0.8-2.debian.tar.gz
 4f595099876003c401171b778b2a6103b3e899dd279b82bc8eae63def5e00f5c 30980 libva-dev_1.0.8-2_all.deb
 b989dd6e27544a2d22ac252a2d7469ba2329667cb8c985e143b2f257b496e6e7 34358 libva1_1.0.8-2_i386.deb
 1b660cc1b7b327ad6920285b1b6ed25f4c0e8c8398d60ed555d505823b2e0172 14822 libva-x11-1_1.0.8-2_i386.deb
 b1ecd9734fa5be86c5dd3fb24d8a544837d6551073f572106a5406145972e9e9 11644 libva-glx1_1.0.8-2_i386.deb
 9399fc3ea9990fffa7f5a9c8796f5243e1e8b5e23ce3b96376e430d562a0df21 6166 libva-tpi1_1.0.8-2_i386.deb
 d49cb83d2b496594956ccd7bd73f438abbfb6474202bc8593a7c953cafbc4207 109398 i965-va-driver_1.0.8-2_i386.deb
 f39aacbf91b27a206168873840aa50ad5bf02c2436b57357650d5c2a771ca902 7066 vainfo_1.0.8-2_i386.deb
Files: 
 a023c1147b6543643259083635b20e5f 1524 libs optional libva_1.0.8-2.dsc
 eac1561f5f4a047df7cc9fc40c60e85b 7737 libs optional libva_1.0.8-2.debian.tar.gz
 b95f789a47b66b5e369d5c31b1e013f0 30980 libdevel optional libva-dev_1.0.8-2_all.deb
 ff9d7a3aa58f250291abdc26ea34c4a2 34358 libs optional libva1_1.0.8-2_i386.deb
 83b777b06a690c7ee33c2a1754a6f6a4 14822 libs optional libva-x11-1_1.0.8-2_i386.deb
 dc595a1232078a8ac01ca260dd7c02a3 11644 libs optional libva-glx1_1.0.8-2_i386.deb
 645722dd2f0232e76baaf17d2eff5a60 6166 libs optional libva-tpi1_1.0.8-2_i386.deb
 3204e74a6cd00df43c779cf1a0ba6714 109398 libs optional i965-va-driver_1.0.8-2_i386.deb
 41641d7e5df591d97bf2a1fe6b80c9fd 7066 libs optional vainfo_1.0.8-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Debian Powered!

iEYEARECAAYFAk1RntcACgkQmAg1RJRTSKToGgCfZ2tOB6GbztCNLPIMVIl0lt9A
8qsAn1sqBpLzyFej+If/RBQQ9vDq56AC
=snA/
-----END PGP SIGNATURE-----





Bug reassigned from package 'ffmpeg' to 'libva'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 09 Feb 2011 11:30:02 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions ffmpeg/4:0.6.1-4. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 09 Feb 2011 11:30:03 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions libva/1.0.8-2. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 09 Feb 2011 11:30:04 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions 1.0.8-2. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 09 Feb 2011 11:30:04 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 09 Feb 2011 11:30:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 08:18:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 17:05:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.